← OBPv7.0.0 Update Bank PUT /obp/v7.0.0/banks OBPv5.0.0-updateBank Roles: CanCreateBank Bank Update an existing bank (Authenticated access). User Authentication is Required. The User must be logged in. The Application must also be authenticated. JSON response body fields (11) address bank_code CGHZbank_routings bank routing in form of (scheme, address)full_name full name stringid d8839721-ad8f-45dd-9f78-2080414b93f9logo logo urlname ACCOUNT_MANAGEMENT_FEEscheme OBPvalue 5987953website www.openbankproject.comattributes attribute value in form of (name, value) Example request body { "id": "gh.29.uk", "bank_code": "CGHZ", "full_name": "full name string", "logo": "logo url", "website": "www.openbankproject.com", "bank_routings": [ { "scheme": "OBP", "address": "gh.29.uk" } ] } Example success response { "id": "gh.29.uk", "bank_code": "CGHZ", "full_name": "bank fullName string", "logo": "bank logoUrl string", "website": "bank logoUrl string", "bank_routings": [ { "scheme": "OBP", "address": "gh.29.uk" } ], "attributes": [ { "name": "ACCOUNT_MANAGEMENT_FEE", "value": "5987953" } ] } Possible errors (6) OBP-10001: Incorrect json format.OBP-20001: User not logged in. Authentication is required!OBP-30001: Bank not found. Please specify a valid value for BANK_ID.OBP-34001: Could not update the BankOBP-50000: Unknown Error.OBP-20006: User is missing one or more roles: